Overview | Package | Class | Deprecated | Index | Help
| Groovy Documentation
| FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.gradle.api.plugins
[Java] Class JavaPlugin

    java.lang.Object
      org.gradle.api.plugins.JavaPlugin

All Implemented Interfaces:
  Plugin

    public class JavaPlugin

A Plugin which compiles and tests Java source, and assembles it into a JAR file.

Field Summary
`static String` | `CLASSES_TASK_NAME`
`static String` | `COMPILE_CONFIGURATION_NAME`
`static String` | `COMPILE_JAVA_TASK_NAME`
`static String` | `COMPILE_TEST_JAVA_TASK_NAME`
`static String` | `JAR_TASK_NAME`
`static String` | `JAVADOC_TASK_NAME`
`static String` | `PROCESS_RESOURCES_TASK_NAME`
`static String` | `PROCESS_TEST_RESOURCES_TASK_NAME`
`static String` | `RUNTIME_CONFIGURATION_NAME`
`static String` | `TEST_CLASSES_TASK_NAME`
`static String` | `TEST_COMPILE_CONFIGURATION_NAME`
`static String` | `TEST_RUNTIME_CONFIGURATION_NAME`
`static String` | `TEST_TASK_NAME`

Method Summary
`void` | `apply(Project project)`

Methods inherited from class Object
wait, wait, wait, equals, toString, hashCode, getClass, notify, notifyAll

Field Detail

### CLASSES_TASK_NAME

    public static final String CLASSES_TASK_NAME

### COMPILE_CONFIGURATION_NAME

    public static final String COMPILE_CONFIGURATION_NAME

### COMPILE_JAVA_TASK_NAME

    public static final String COMPILE_JAVA_TASK_NAME

### COMPILE_TEST_JAVA_TASK_NAME

    public static final String COMPILE_TEST_JAVA_TASK_NAME

### JAR_TASK_NAME

    public static final String JAR_TASK_NAME

### JAVADOC_TASK_NAME

    public static final String JAVADOC_TASK_NAME

### PROCESS_RESOURCES_TASK_NAME

    public static final String PROCESS_RESOURCES_TASK_NAME

### PROCESS_TEST_RESOURCES_TASK_NAME

    public static final String PROCESS_TEST_RESOURCES_TASK_NAME

### RUNTIME_CONFIGURATION_NAME

    public static final String RUNTIME_CONFIGURATION_NAME

### TEST_CLASSES_TASK_NAME

    public static final String TEST_CLASSES_TASK_NAME

### TEST_COMPILE_CONFIGURATION_NAME

    public static final String TEST_COMPILE_CONFIGURATION_NAME

### TEST_RUNTIME_CONFIGURATION_NAME

    public static final String TEST_RUNTIME_CONFIGURATION_NAME

### TEST_TASK_NAME

    public static final String TEST_TASK_NAME

Method Detail

### apply

    public void apply(Project project)

Gradle API 1.10